at.chipkarte.client.ebs.soap

## Class BewilligungsaktReferenz

- Object
- - at.chipkarte.client.ebs.soap.BewilligungsaktReferenz

-     public class BewilligungsaktReferenz
      extends Object

  Dient der Ausgabe von Bewilligungsakt-Abrissen. Detaildaten zu einem Abriss sind bei Bedarf mittels der Funktion abfragenAntragMitCode zu ermitteln.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BewilligungsaktReferenz()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAggregierterLeistungsstatus()` Über alle Leistungen des Antrages zusammengeführter Leistungsstatus.
    `String` | `getAntragsCode()` Eindeutiger Code für einen Antrag des Patienten.
    `String` | `getAntragsdatum()` Datum an dem der Antrag gestellt wurde.
    `String` | `getAntragsReferenz()` Eindeutiger Bezeichner eines Antrags.
    `String` | `getAntragsstatus()` Status des Antrags.
    `String` | `getAntragstyp()` Typ (Art) des Antrages.
    `EkvkPatient` | `getEkvkPatient()` Dateien eines Patienten mit EKVK Nummer.
    `String` | `getGueltigkeitsdatum()` Datum bis zu dem der Antrag gültig ist.
    `String` | `getKvt()` KV-Träger der aktuell für den Antrag zuständig ist.
    `SvPersonV2` | `getSvPatient()` Daten eines Patienten mit SV-Nummer.
    `void` | `setAggregierterLeistungsstatus(String aggregierterLeistungsstatus)`
    `void` | `setAntragsCode(String antragsCode)`
    `void` | `setAntragsdatum(String antragsdatum)`
    `void` | `setAntragsReferenz(String antragsReferenz)`
    `void` | `setAntragsstatus(String antragsstatus)`
    `void` | `setAntragstyp(String antragstyp)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setGueltigkeitsdatum(String gueltigkeitsdatum)`
    `void` | `setKvt(String kvt)`
    `void` | `setSvPatient(SvPersonV2 svPatient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BewilligungsaktReferenz

          public BewilligungsaktReferenz()

  - ### Method Detail

    - #### getAntragsReferenz

          public String getAntragsReferenz()

      Eindeutiger Bezeichner eines Antrags.
      Angabe: Muss.
      Format: 17-stellig
      Returns:
        AntragsReferenz.

    - #### setAntragsReferenz

          public void setAntragsReferenz(String antragsReferenz)

    - #### getAntragsCode

          public String getAntragsCode()

      Eindeutiger Code für einen Antrag des Patienten.
      Dient gemeinsam mit dem Patientenidentifikator (Sv-Nummer oder EKVK-Nummer) zur Abfrage der Detaildaten eines Antrages (siehe abfragenAntragMitCode).
      Angabe: Muss.
      Format: 6-stellig
      Returns:
        AntragsCode.

    - #### setAntragsCode

          public void setAntragsCode(String antragsCode)

    - #### getGueltigkeitsdatum

          public String getGueltigkeitsdatum()

      Datum bis zu dem der Antrag gültig ist.
      Angabe: Bedingt. Nur versorgt wenn der Antrag bereits beantwortet wurde.
      Format: TT.MM.JJJJ
      Returns:
        Gueltigkeitsdatum.

    - #### setGueltigkeitsdatum

          public void setGueltigkeitsdatum(String gueltigkeitsdatum)

    - #### getSvPatient

          public SvPersonV2 getSvPatient()

      Daten eines Patienten mit SV-Nummer.
      Angabe: Bedingt. Entweder svPatient oder ekvkPatient ist belegt.
      Returns:
        SvPatient.

    - #### setSvPatient

          public void setSvPatient(SvPersonV2 svPatient)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      Dateien eines Patienten mit EKVK Nummer. Siehe `EkvkPatient`.
      Angabe: Bedingt. Entweder svPatient oder ekvkPatient ist belegt.
      Returns:
        EkvkPatient.

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getAntragsdatum

          public String getAntragsdatum()

      Datum an dem der Antrag gestellt wurde.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        Antragsdatum.

    - #### setAntragsdatum

          public void setAntragsdatum(String antragsdatum)

    - #### getAntragstyp

          public String getAntragstyp()

      Typ (Art) des Antrages.
      Mögliche Werte (Code der Basisdaten im AntragstypDetail) siehe `antragstypenErmitteln`.
      Angabe: Muss.
      Returns:
        Antragstyp.

    - #### setAntragstyp

          public void setAntragstyp(String antragstyp)

    - #### getKvt

          public String getKvt()

      KV-Träger der aktuell für den Antrag zuständig ist.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Muss.
      Returns:
        Kvt.

    - #### setKvt

          public void setKvt(String kvt)

    - #### getAntragsstatus

          public String getAntragsstatus()

      Status des Antrags.
      Mögliche Werte siehe `AntragsstatusTypConstants`.
      Angabe: Muss.
      Returns:
        Antragsstatus.

    - #### setAntragsstatus

          public void setAntragsstatus(String antragsstatus)

    - #### getAggregierterLeistungsstatus

          public String getAggregierterLeistungsstatus()

      Über alle Leistungen des Antrages zusammengeführter Leistungsstatus.
      Mögliche Werte siehe `AggregierterLeistungsstatusTypConstants`.
      Angabe: Bedingt. Nur versorgt wenn der Antrag bereits durch den zuständigen KV-Träger beantwortet wurde.
      Returns:
        AggregierterLeistungsstatus.

    - #### setAggregierterLeistungsstatus

          public void setAggregierterLeistungsstatus(String aggregierterLeistungsstatus)